﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{46EAE51D-7753-4B18-9E67-8D2768F57C87}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Codebreak.Service.World</RootNamespace>
    <AssemblyName>Codebreak.Service.World</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\</SolutionDir>
    <RestorePackages>true</RestorePackages>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <ProductVersion>12.0.0</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Antlr3.Runtime">
      <HintPath>..\..\packages\Antlr.3.5.0.2\lib\Antlr3.Runtime.dll</HintPath>
    </Reference>
    <Reference Include="ExpressionEvaluator, Version=2.0.4.0, Culture=neutral, PublicKeyToken=90d9f15d622e2348, processorArchitecture=MSIL">
      <HintPath>..\..\packages\ExpressionEvaluator.2.0.4.0\lib\net40\ExpressionEvaluator.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="log4net, Version=1.2.15.0, Culture=neutral, PublicKeyToken=669e0ddf0bb1aa2a, processorArchitecture=MSIL">
      <HintPath>..\..\packages\log4net.2.0.5\lib\net45-full\log4net.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="MySql.Data, Version=6.9.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
      <HintPath>..\..\packages\MySql.Data.6.9.9\lib\net45\MySql.Data.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="PropertyChanged, Version=1.51.3.0, Culture=neutral, PublicKeyToken=ee3ee20bcf148ddd, processorArchitecture=MSIL">
      <HintPath>..\..\packages\PropertyChanged.Fody.1.51.3\lib\dotnet\PropertyChanged.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="protobuf-net, Version=2.1.0.0, Culture=neutral, PublicKeyToken=257b51d87d2e4d67, processorArchitecture=MSIL">
      <HintPath>..\..\packages\protobuf-net.2.1.0\lib\net45\protobuf-net.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Command\CharacterCommand.cs" />
    <Compile Include="Command\HelpCommand.cs" />
    <Compile Include="Command\MonsterCommand.cs" />
    <Compile Include="Command\PacketCommand.cs" />
    <Compile Include="Command\WorldCommand.cs" />
    <Compile Include="Command\WorldCommandContext.cs" />
    <Compile Include="Database\Repository\AreaRepository.cs" />
    <Compile Include="Database\Repository\AuctionHouseEntryRepository.cs" />
    <Compile Include="Database\Repository\AuctionHouseAllowedTypeRepository.cs" />
    <Compile Include="Database\Repository\AuctionHouseRepository.cs" />
    <Compile Include="Database\Repository\BankRepository.cs" />
    <Compile Include="Database\Repository\CharacterAlignmentRepository.cs" />
    <Compile Include="Database\Repository\CharacterGuildRepository.cs" />
    <Compile Include="Database\Repository\CharacterJobRepository.cs" />
    <Compile Include="Database\Repository\CharacterRepository.cs" />
    <Compile Include="Database\Repository\CharacterWaypointRepository.cs" />
    <Compile Include="Database\Repository\CraftEntryRepository.cs" />
    <Compile Include="Database\Repository\DropTemplateRepository.cs" />
    <Compile Include="Database\Repository\ExperienceTemplateRepository.cs" />
    <Compile Include="Database\Repository\FightActionRepository.cs" />
    <Compile Include="Database\Repository\GuildRepository.cs" />
    <Compile Include="Database\Repository\InventoryItemRepository.cs" />
    <Compile Include="Database\Repository\ItemSetRepository.cs" />
    <Compile Include="Database\Repository\ItemTemplateRepository.cs" />
    <Compile Include="Database\Repository\MapTemplateRepository.cs" />
    <Compile Include="Database\Repository\MapTriggerRepository.cs" />
    <Compile Include="Database\Repository\MonsterGradeRepository.cs" />
    <Compile Include="Database\Repository\MonsterRepository.cs" />
    <Compile Include="Database\Repository\MountRepository.cs" />
    <Compile Include="Database\Repository\MountTemplateRepository.cs" />
    <Compile Include="Database\Repository\NpcInstanceRepository.cs" />
    <Compile Include="Database\Repository\NpcQuestionRepository.cs" />
    <Compile Include="Database\Repository\NpcResponseRepository.cs" />
    <Compile Include="Database\Repository\NpcTemplateRepository.cs" />
    <Compile Include="Database\Repository\OLD.cs" />
    <Compile Include="Database\Repository\PaddockRepository.cs" />
    <Compile Include="Database\Repository\SocialRelationRepository.cs" />
    <Compile Include="Database\Repository\SpellBookEntryRepository.cs" />
    <Compile Include="Database\Repository\TaxCollectorRepository.cs" />
    <Compile Include="Database\Structure\AreaDAO.cs" />
    <Compile Include="Database\Structure\AuctionHouseDAO.cs" />
    <Compile Include="Database\Structure\AuctionHouseEntryDAO.cs" />
    <Compile Include="Database\Structure\AuctionHouseAllowedTypeDAO.cs" />
    <Compile Include="Database\Structure\BankDAO.cs" />
    <Compile Include="Database\Structure\CharacterAlignmentDAO.cs" />
    <Compile Include="Database\Structure\CharacterDAO.cs" />
    <Compile Include="Database\Structure\CharacterGuildDAO.cs" />
    <Compile Include="Database\Structure\CharacterJobDAO.cs" />
    <Compile Include="Database\Structure\CharacterWaypointDAO.cs" />
    <Compile Include="Database\Structure\CraftEntryDAO.cs" />
    <Compile Include="Database\Structure\DropTemplateDAO.cs" />
    <Compile Include="Database\Structure\ExperienceTemplateDAO.cs" />
    <Compile Include="Database\Structure\FightActionDAO.cs" />
    <Compile Include="Database\Structure\GuildDAO.cs" />
    <Compile Include="Database\Structure\ItemDAO.cs" />
    <Compile Include="Database\Structure\ItemSetDAO.cs" />
    <Compile Include="Database\Structure\ItemTemplateDAO.cs" />
    <Compile Include="Database\Structure\MapTemplateDAO.cs" />
    <Compile Include="Database\Structure\MapTriggerDAO.cs" />
    <Compile Include="Database\Structure\MonsterDAO.cs" />
    <Compile Include="Database\Structure\MonsterGradeDAO.cs" />
    <Compile Include="Database\Structure\MonsterRaceDAO.cs" />
    <Compile Include="Database\Structure\MonsterSpawnDAO.cs" />
    <Compile Include="Database\Structure\MonsterSuperRaceDAO.cs" />
    <Compile Include="Database\Structure\MountDAO.cs" />
    <Compile Include="Database\Structure\MountTemplateDAO.cs" />
    <Compile Include="Database\Structure\NpcInstanceDAO.cs" />
    <Compile Include="Database\Structure\NpcQuestionDAO.cs" />
    <Compile Include="Database\Structure\NpcResponseDAO.cs" />
    <Compile Include="Database\Structure\NpcTemplateDAO.cs" />
    <Compile Include="Database\Structure\OLD.cs" />
    <Compile Include="Database\Structure\PaddockDAO.cs" />
    <Compile Include="Database\Structure\SocialRelationDAO.cs" />
    <Compile Include="Database\Structure\SpellBookEntryDAO.cs" />
    <Compile Include="Database\Structure\SubAreaDAO.cs" />
    <Compile Include="Database\Structure\SuperAreaDAO.cs" />
    <Compile Include="Database\Structure\TaxCollectorDAO.cs" />
    <Compile Include="Database\WorldDbMgr.cs" />
    <Compile Include="Frame\GameTombestoneFrame.cs" />
    <Compile Include="Frame\NpcDialogFrame.cs" />
    <Compile Include="Frame\SocialFrame.cs" />
    <Compile Include="Frame\WaypointFrame.cs" />
    <Compile Include="Game\ActionEffect\AbstractActionEffect.cs" />
    <Compile Include="Game\ActionEffect\ActionList.cs" />
    <Compile Include="Game\ActionEffect\AddBoostEffect.cs" />
    <Compile Include="Game\ActionEffect\AddEnergyEffect.cs" />
    <Compile Include="Game\ActionEffect\AddExperienceEffect.cs" />
    <Compile Include="Game\ActionEffect\AddItemAction.cs" />
    <Compile Include="Game\ActionEffect\AddJobEffect.cs" />
    <Compile Include="Game\ActionEffect\AddKamasEffect.cs" />
    <Compile Include="Game\ActionEffect\AddLifeEffect.cs" />
    <Compile Include="Game\ActionEffect\AddSpellEffect.cs" />
    <Compile Include="Game\ActionEffect\AddSpellpointEffect.cs" />
    <Compile Include="Game\ActionEffect\AddStatsEffect.cs" />
    <Compile Include="Game\ActionEffect\ChangeAlignmentEffect.cs" />
    <Compile Include="Game\ActionEffect\GuildCreationEffect.cs" />
    <Compile Include="Game\ActionEffect\IActionEffect.cs" />
    <Compile Include="Game\ActionEffect\DialogLeaveEffect.cs" />
    <Compile Include="Game\ActionEffect\DialogReplyEffect.cs" />
    <Compile Include="Game\ActionEffect\OpenBankEffect.cs" />
    <Compile Include="Game\ActionEffect\RecallEffect.cs" />
    <Compile Include="Game\ActionEffect\RemoveItemEffect.cs" />
    <Compile Include="Game\ActionEffect\ResetSpellEffect.cs" />
    <Compile Include="Game\ActionEffect\ResetStatsEffect.cs" />
    <Compile Include="Game\ActionEffect\StartFightEffect.cs" />
    <Compile Include="Game\ActionEffect\TeleportEffect.cs" />
    <Compile Include="Game\Action\AbstractGameAction.cs" />
    <Compile Include="Game\Action\GameActionTypeEnum.cs" />
    <Compile Include="Game\Action\AbstractGameAuctionHouseAction.cs" />
    <Compile Include="Game\Action\GameAuctionHouseBuyAction.cs" />
    <Compile Include="Game\Action\GameAuctionHouseSellAction.cs" />
    <Compile Include="Game\Action\GameChallengeRequestAction.cs" />
    <Compile Include="Game\Action\GameCraftPlanExchangeAction.cs" />
    <Compile Include="Game\Action\GameHarvestAction.cs" />
    <Compile Include="Game\Action\GameMerchantExchangeAction.cs" />
    <Compile Include="Game\Action\GameMountStorageExchangeAction.cs" />
    <Compile Include="Game\Action\GameNpcDialogAction.cs" />
    <Compile Include="Game\Action\AbstractGameExchangeAction.cs" />
    <Compile Include="Game\Action\AbstractGameFightAction.cs" />
    <Compile Include="Game\Action\GameFightMovementAction.cs" />
    <Compile Include="Game\Action\GameFightSpellAction.cs" />
    <Compile Include="Game\Action\GameFightWeaponAction.cs" />
    <Compile Include="Game\Action\GameGuildCreationAction.cs" />
    <Compile Include="Game\Action\GameMapMovementAction.cs" />
    <Compile Include="Game\Action\GameMapTeleportAction.cs" />
    <Compile Include="Game\Action\GameNpcExchangeAction.cs" />
    <Compile Include="Game\Action\GamePersonalShopExchangeAction.cs" />
    <Compile Include="Game\Action\GamePlayerExchangeAction.cs" />
    <Compile Include="Game\Action\GameShopExchangeAction.cs" />
    <Compile Include="Game\Action\GameStorageExchangeAction.cs" />
    <Compile Include="Game\Action\GameTaxCollectorDefenderAction.cs" />
    <Compile Include="Game\Action\GameTaxCollectorExchangeAction.cs" />
    <Compile Include="Game\Action\GameWaypointAction.cs" />
    <Compile Include="Game\Area\AreaInstance.cs" />
    <Compile Include="Game\Area\SubAreaInstance.cs" />
    <Compile Include="Game\Area\SuperAreaInstance.cs" />
    <Compile Include="Game\Auction\AuctionCategory.cs" />
    <Compile Include="Game\Auction\AuctionEntry.cs" />
    <Compile Include="Game\Auction\AuctionHouseInstance.cs" />
    <Compile Include="Game\Condition\ConditionParser.cs" />
    <Compile Include="Game\Dialog\NpcDialog.cs" />
    <Compile Include="Game\Entity\Inventory\BankInventory.cs" />
    <Compile Include="Game\Entity\Inventory\CharacterInventory.cs" />
    <Compile Include="Game\Entity\CharacterEntity.cs" />
    <Compile Include="Game\Entity\Inventory\EntityInventory.cs" />
    <Compile Include="Game\Entity\AbstractEntity.cs" />
    <Compile Include="Game\Entity\Inventory\AbstractInventory.cs" />
    <Compile Include="Game\Entity\MerchantEntity.cs" />
    <Compile Include="Game\Entity\MonsterEntity.cs" />
    <Compile Include="Game\Entity\MonsterGroupEntity.cs" />
    <Compile Include="Game\Entity\MountEntity.cs" />
    <Compile Include="Game\Entity\NonPlayerCharacterEntity.cs" />
    <Compile Include="Game\Entity\Inventory\PersistentInventory.cs" />
    <Compile Include="Game\Entity\Inventory\StorageInventory.cs" />
    <Compile Include="Game\Entity\TaxCollectorEntity.cs" />
    <Compile Include="Game\Entity\Inventory\TaxCollectorInventory.cs" />
    <Compile Include="Game\Exchange\AuctionHouseBuyExchange.cs" />
    <Compile Include="Game\Exchange\AuctionHouseExchange.cs" />
    <Compile Include="Game\Exchange\AuctionHouseSellExchange.cs" />
    <Compile Include="Game\Exchange\CraftPlanExchange.cs" />
    <Compile Include="Game\Exchange\MerchantExchange.cs" />
    <Compile Include="Game\Exchange\MountStorageExchange.cs" />
    <Compile Include="Game\Exchange\PersonalShopExchange.cs" />
    <Compile Include="Game\Exchange\AbstractEntityExchange.cs" />
    <Compile Include="Game\Exchange\AbstractExchange.cs" />
    <Compile Include="Game\Exchange\NpcExchange.cs" />
    <Compile Include="Game\Exchange\PlayerExchange.cs" />
    <Compile Include="Game\Exchange\ShopExchange.cs" />
    <Compile Include="Game\Exchange\StorageExchange.cs" />
    <Compile Include="Game\Exchange\TaxCollectorExchange.cs" />
    <Compile Include="Game\Fight\AI\Action\AIAction.cs" />
    <Compile Include="Game\Fight\AI\Action\Type\AttackAction.cs" />
    <Compile Include="Game\Fight\AI\Action\Type\EndTurnAction.cs" />
    <Compile Include="Game\Fight\AI\Action\Type\MoveAction.cs" />
    <Compile Include="Game\Fight\AI\AIFighter.cs" />
    <Compile Include="Game\Fight\AI\Brain\AIBrain.cs" />
    <Compile Include="Game\Fight\AI\Brain\DefaultAIBrain.cs" />
    <Compile Include="Game\Fight\AlignmentFight.cs" />
    <Compile Include="Game\Fight\BuffEffectManager.cs" />
    <Compile Include="Game\Fight\ChallengerFight.cs" />
    <Compile Include="Game\Fight\Challenge\AbnegationChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\AnachoriteChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\AppointedVoluntaryChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\BarbarianChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\BoldChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\AbstractChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\ChallengeManager.cs" />
    <Compile Include="Game\Fight\Challenge\CirculateChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\PetulantChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\ReprieveChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\SightLostChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\StatueChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\SurvivorChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\TightsChallenge.cs" />
    <Compile Include="Game\Fight\Challenge\ZombieChallenge.cs" />
    <Compile Include="Game\Fight\Effect\AbstractSpellBuff.cs" />
    <Compile Include="Game\Fight\Effect\CastInfos.cs" />
    <Compile Include="Game\Fight\Effect\AbstractSpellEffect.cs" />
    <Compile Include="Game\Fight\Effect\EffectManager.cs" />
    <Compile Include="Game\Fight\Effect\Type\DamageLifePercentEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\DamagePerAPBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\DamagePerAPEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\DropLifeEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\EcaflipChanceBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\EcaflipChanceEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PerceptionEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\SummoningEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PunishmentDamageEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PureLifeStealEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PushFearEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\ReflectSpellBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\ReflectSpellEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\SelfDamageEffect.cs" />
    <Compile Include="Game\Fight\Ending\AbstractEndingBehavior.cs" />
    <Compile Include="Game\Fight\Ending\HonorGainBehavior.cs" />
    <Compile Include="Game\Fight\Ending\AbstractLootBehavior.cs" />
    <Compile Include="Game\Fight\Ending\AbstractRegenerateBehavior.cs" />
    <Compile Include="Game\Fight\Ending\EndingArguments.cs" />
    <Compile Include="Game\Fight\Ending\LootMonsterBehavior.cs" />
    <Compile Include="Game\Fight\Ending\RegenerateLosersBehavior.cs" />
    <Compile Include="Game\Fight\Ending\RegenerateWinnersBehavior.cs" />
    <Compile Include="Game\Fight\FightGlyph.cs" />
    <Compile Include="Game\Fight\Effect\Type\ActivableObjectEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\APDodgeSubstractBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\APDodgeSubstractEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\ArmorBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\ArmorEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\BuffRemoveEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\DamageBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\DamageDodgeBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\DamageDodgeEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\DamageEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\HealBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\HealEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\IncreaseSpellJetBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\IncreaseSpellJetEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\LifeStealEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\MPDodgeSubstractBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\MPDodgeSubstractEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PandaCarriedBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\PandaCarrierBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\PandaCarrierEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PandaLaunchEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PunishmentBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\PunishmentEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\PushEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\SacrificeBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\SacrificeEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\SkinChangeBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\SkinChangeEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\StateAddEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\StateBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\StateRemoveEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\StatsBuff.cs" />
    <Compile Include="Game\Fight\Effect\Type\StatsEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\StatsStealEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\TeleportEffect.cs" />
    <Compile Include="Game\Fight\Effect\Type\TransposeEffect.cs" />
    <Compile Include="Game\Fight\AbstractActivableObject.cs" />
    <Compile Include="Game\Fight\AbstractFight.cs" />
    <Compile Include="Game\Fight\AbstractFighter.cs" />
    <Compile Include="Game\Fight\FighterStateManager.cs" />
    <Compile Include="Game\Fight\FightTeam.cs" />
    <Compile Include="Game\Fight\FightTrap.cs" />
    <Compile Include="Game\Fight\FightTurnProcessor.cs" />
    <Compile Include="Game\Fight\IFightObstacle.cs" />
    <Compile Include="Game\Fight\MonsterFight.cs" />
    <Compile Include="Game\Fight\SpellCastManager.cs" />
    <Compile Include="Game\Fight\TaxCollectorFight.cs" />
    <Compile Include="Game\Guild\GuildInstance.cs" />
    <Compile Include="Game\Guild\GuildMember.cs" />
    <Compile Include="Game\Guild\GuildSpellBook.cs" />
    <Compile Include="Game\Guild\GuildStatistics.cs" />
    <Compile Include="Game\Interactive\InteractiveObject.cs" />
    <Compile Include="Game\Interactive\Type\Chest.cs" />
    <Compile Include="Game\Interactive\Type\CraftPlan.cs" />
    <Compile Include="Game\Interactive\Type\HarvestableResource.cs" />
    <Compile Include="Game\Interactive\Type\HouseDoor.cs" />
    <Compile Include="Game\Interactive\Type\PaddockDoor.cs" />
    <Compile Include="Game\Interactive\Type\Pheonix.cs" />
    <Compile Include="Game\Interactive\Type\TrashCan.cs" />
    <Compile Include="Game\Interactive\Type\Waypoint.cs" />
    <Compile Include="Game\Job\JobBook.cs" />
    <Compile Include="Game\Job\JobSkill.cs" />
    <Compile Include="Game\Job\JobTemplate.cs" />
    <Compile Include="Game\Job\Skill\BasicSkill.cs" />
    <Compile Include="Game\Job\Skill\CraftSkill.cs" />
    <Compile Include="Game\Job\Skill\HarvestSkill.cs" />
    <Compile Include="Game\Map\CellZone.cs" />
    <Compile Include="Game\Map\IMovementHandler.cs" />
    <Compile Include="Game\Map\MapCell.cs" />
    <Compile Include="Game\Map\MapInstance.cs" />
    <Compile Include="Game\Map\Pathfinding.cs" />
    <Compile Include="Game\Mount\Fecondation.cs" />
    <Compile Include="Game\Mount\Paddock.cs" />
    <Compile Include="Game\Party\PartyInstance.cs" />
    <Compile Include="Game\Spawn\SpawnQueue.cs" />
    <Compile Include="Game\Spell\SpellBook.cs" />
    <Compile Include="Game\Spell\SpellBookFactory.cs" />
    <Compile Include="Game\Spell\SpellEffect.cs" />
    <Compile Include="Game\Spell\SpellLevel.cs" />
    <Compile Include="Game\Spell\SpellTemplate.cs" />
    <Compile Include="Game\Stats\GenericEffect.cs" />
    <Compile Include="Game\Stats\GenericStats.cs" />
    <Compile Include="Frame\AuthentificationFrame.cs" />
    <Compile Include="Frame\BasicFrame.cs" />
    <Compile Include="Frame\CharacterSelectionFrame.cs" />
    <Compile Include="Frame\ExchangeFrame.cs" />
    <Compile Include="Frame\GameActionFrame.cs" />
    <Compile Include="Frame\GameCreationFrame.cs" />
    <Compile Include="Frame\FightFrame.cs" />
    <Compile Include="Frame\FightPlacementFrame.cs" />
    <Compile Include="Frame\GameInformationFrame.cs" />
    <Compile Include="Frame\MapFrame.cs" />
    <Compile Include="Frame\InventoryFrame.cs" />
    <Compile Include="Frame\SpellFrame.cs" />
    <Compile Include="Game\Stats\RandomStatistics.cs" />
    <Compile Include="Manager\ClientManager.cs" />
    <Compile Include="Manager\ActionEffectManager.cs" />
    <Compile Include="Manager\AreaManager.cs" />
    <Compile Include="Manager\AuctionHouseManager.cs" />
    <Compile Include="Manager\BankManager.cs" />
    <Compile Include="Manager\DropManager.cs" />
    <Compile Include="Manager\EntityManager.cs" />
    <Compile Include="Manager\ExperienceManager.cs" />
    <Compile Include="Game\Map\FightManager.cs" />
    <Compile Include="Manager\GuildManager.cs" />
    <Compile Include="Manager\InteractiveObjectManager.cs" />
    <Compile Include="Manager\JobManager.cs" />
    <Compile Include="Manager\MapManager.cs" />
    <Compile Include="Manager\NpcManager.cs" />
    <Compile Include="Manager\PaddockManager.cs" />
    <Compile Include="Manager\PartyManager.cs" />
    <Compile Include="Manager\ResourceManager.cs" />
    <Compile Include="Manager\SpawnManager.cs" />
    <Compile Include="Manager\SpellManager.cs" />
    <Compile Include="Manager\WaypointManager.cs" />
    <Compile Include="Network\MessageDispatcher.cs" />
    <Compile Include="Util.cs" />
    <Compile Include="Network\WorldClient.cs" />
    <Compile Include="Network\WorldMessage.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="RPC\AuthServiceRPCConnection.cs" />
    <Compile Include="RPC\RPCManager.cs" />
    <Compile Include="WorldConfig.cs" />
    <Compile Include="WorldService.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Codebreak.Framework\Codebreak.Framework.csproj">
      <Project>{F1D9CE36-7F30-43C2-9027-AF08A539C525}</Project>
      <Name>Codebreak.Framework</Name>
    </ProjectReference>
    <ProjectReference Include="..\Codebreak.RPC.Protocol\Codebreak.RPC.Protocol.csproj">
      <Project>{6D8A667C-17B0-4564-B628-782656EE711B}</Project>
      <Name>Codebreak.RPC.Protocol</Name>
    </ProjectReference>
    <ProjectReference Include="..\Codebreak.RPC.Service\Codebreak.RPC.Service.csproj">
      <Project>{A809BFC9-3F6B-4D1A-B6D1-AD299E8F5193}</Project>
      <Name>Codebreak.RPC.Service</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="FodyWeavers.xml" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>Ce projet fait référence à des packages NuGet qui sont manquants sur cet ordinateur. Activez l'option de restauration des packages NuGet pour les télécharger. Pour plus d'informations, consultez http://go.microsoft.com/fwlink/?LinkID=322105. Le fichier manquant est le suivant : {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
    <Error Condition="!Exists('..\..\packages\Fody.1.29.4\build\dotnet\Fody.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\..\packages\Fody.1.29.4\build\dotnet\Fody.targets'))" />
  </Target>
  <Import Project="..\..\packages\Fody.1.29.4\build\dotnet\Fody.targets" Condition="Exists('..\..\packages\Fody.1.29.4\build\dotnet\Fody.targets')" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>